Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

geany: fix compilation against current glib

  • Loading branch information...
commit 3d5aa078a1f570696d12fe8a08340c242b6f2400 1 parent f7903a2
@adamv adamv authored
Showing with 7 additions and 1 deletion.
  1. +7 −1 Library/Formula/geany.rb
View
8 Library/Formula/geany.rb
@@ -11,9 +11,15 @@ class Geany < Formula
depends_on 'gtk+'
def install
+ # Needed to compile against current version of glib.
+ # Check that this is still needed when updating the formula.
+ ENV.append 'LDFLAGS', '-lgmodule-2.0'
+
intltool = Formula.factory('intltool')
ENV.append "PATH", intltool.bin, ":"
@jacknagel Owner

Not your doing, but this is voodoo-ish, and was probably done because intltool was unlinked on the author's system.

@adamv Owner
adamv added a note

Will fix

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
- system "./configure", "--disable-dependency-tracking", "--prefix=#{prefix}"
+
+ system "./configure", "--disable-dependency-tracking",
+ "--prefix=#{prefix}"
system "make install"
end
end
@jacknagel

Not your doing, but this is voodoo-ish, and was probably done because intltool was unlinked on the author's system.

@adamv

Will fix

Please sign in to comment.
Something went wrong with that request. Please try again.